
lappend auto_path .
package require Ck
set frame {ulcorner hline urcorner vline lrcorner llcorner}
option add *CkFDialog*Background blue
option add *CkChooseColor*Background green
option add *MenuBar*foreground black
option add *MenuBar*background white
option add *MenuBar*activeBackground black
option add *MenuBar*activeForeground white
option add *MenuBar*selectedBackground black
option add *MenuBar*selectedForeground white
option add *MenuBar*underlineAttributes {underline bold}
option add *MenuBar*underlineForeground yellow 
frame .menu -class MenuBar
menubutton .menu.file -text File -underline 0   -menu .menu.file.m
menu .menu.file.m -border $frame 
.menu.file.m add command -label "New" -command {fileNew}
.menu.file.m add command -label "Open..." -command {fileOpen}
.menu.file.m add command -label "Save..." -command {fileSave}
.menu.file.m add separator 
.menu.file.m add command -label "Exit" -command {destroy .}
menubutton .menu.dialog -text Dialogs -underline 0 -menu .menu.dialog.m
menu .menu.dialog.m -border $frame
.menu.dialog.m add command -label "Message box.." -command {ck_messageBox -title "MessageBox" -message "This is simple message box" -type ok}
.menu.dialog.m add command -label "Color Picker.." -command {ck_chooseColor}
.menu.dialog.m add command -label "Command window.." -command {ckCommand}
label .menu.hint -text "Press <F10> for menu" -foreground black -background white
pack .menu.hint -side right
pack .menu.file .menu.dialog -side left -padx 1
pack .menu -side top -fill x
frame .f
text .f.t -yscrollcommand ".f.y set" -foreground yellow -attributes bold -background blue
scrollbar .f.y -orient vert -command ".f.t yview"
pack .f.t -side left -expand y -fill both
pack .f.y -side right -expand n -fill y
pack .f -side top -expand y -fill both
focus .f.t
bind .f.t <F10> {focus .menu.file;.menu.file configure -state active}
proc fileOpen {} {
   global fileName
   set filename [ck_getOpenFile]
   if {![string length filename]} return;
   set f [open $filename]
   .f.t delete 0.0 end
   .f.t insert 0.0 [read $f]
   close $f
   set fileName $filename
   .f.t mark set insert 0.0
   focus .f.t
}   

proc fileSave {} {
	global fileName
	if {[info exists fileName]} {
		set filename [ck_getSaveFile -initialfile $filename]
	} else {
		set filename [ck_getSaveFile]
	}
	if {![string length filename]} return;
	set f [open $filename w]
	puts -nonewline $f [.f.t get 0.0 end]
	close $f
	set fileName $filename
	focus .f.t
}

proc fileNew {} {
	global fileName
	catch {unset fileName}
	.f.t delete 0.0 end
	focus .f.t
}	
tkwait window .

